package com.gingersoft.gsa.cloud.common.patterns;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2020-09-24
 * 修订历史：2020-09-24
 * 描述：
 */
public interface Strategy<T> {

    /**
     * 具體行為實現方法
     */
    void action(T t);

    /**
     * 释放资源
     */
    void destroy();
}
